Page MenuHomePhabricator

[mips][FastISel] Allow computation of addresses from constant expressions.
ClosedPublic

Authored by vkalintiris on Dec 22 2014, 5:36 PM.

Diff Detail

Repository
rL LLVM

Event Timeline

rkotler updated this revision to Diff 17581.Dec 22 2014, 5:36 PM
rkotler retitled this revision from to Allow for constant data to be referenced in Mips-fast-isel.
rkotler updated this object.
rkotler edited the test plan for this revision. (Show Details)
rkotler added a reviewer: dsanders.
rkotler added subscribers: rfuhler, Unknown Object (MLST).
vkalintiris commandeered this revision.Apr 16 2015, 5:18 AM
vkalintiris added a reviewer: rkotler.
dsanders edited edge metadata.Apr 28 2015, 2:48 AM

Could you add a test case?

vkalintiris updated this object.
vkalintiris edited edge metadata.

Added a simple test-case.

vkalintiris retitled this revision from Allow for constant data to be referenced in Mips-fast-isel to [mips][FastISel] Allow computation of addresses from constant expressions..
vkalintiris updated this object.
vkalintiris edited the test plan for this revision. (Show Details)

Modified the commit message to better reflect the change introduced with this patch.

dsanders accepted this revision.May 12 2015, 3:31 AM
dsanders edited edge metadata.

LGTM

This revision is now accepted and ready to land.May 12 2015, 3:31 AM
This revision was automatically updated to reflect the committed changes.